#ifndef _MBI5030_H_
#define _MBI5030_H_

// Portdefinitionen für das SPI-Interface
#define MBI5030_SDI_DDR DDRC
#define MBI5030_SDI_DDRNR DDC3
#define MBI5030_SDI_PORT PORTC
#define MBI5030_SDI_PORTNR 3
#define MBI5030_DCLK_DDR DDRC
#define MBI5030_DCLK_DDRNR DDC4
#define MBI5030_DCLK_PORT PORTC
#define MBI5030_DCLK_PORTNR 4
#define MBI5030_LE_DDR DDRC
#define MBI5030_LE_DDRNR DDC5
#define MBI5030_LE_PORT PORTC
#define MBI5030_LE_PORTNR 5
// Portdefinition für den GCLK-Ausgang
#define MBI5030_GCLK_DDR DDRB
#define MBI5030_GCLK_DDRNR DDC3

//-------------------------------------------------------------------------------------------------------
//Funktionsprototypen
//-------------------------------------------------------------------------------------------------------
void mbi5030_init (void);
void mbi5030_write_data_latch (uint16_t wert);
void mbi5030_write_global_latch (uint16_t wert);
void mbi5030_write_row(uint8_t *pwm, uint8_t lin_log);

#endif